texpire(8)

NAME
texpire - delete old news article threads

SYNOPSIS
texpire [GLOBAL OPTIONS] [-afnr] [group.name [...]]
texpire [GLOBAL OPTIONS] [-n] -C '<message.id>' [...]

DESCRIPTION
Leafnode is a USENET package intended for small sites, where there are few users and little disk space, but where a large number of groups is desired.

The design of leafnode is intended to repair any problems itself, to detect what newsgroups the users read, and to require no manual manual maitenance.

Texpire is the program which deletes old articles from the local news spool, rehashes the spool after updates of leafnode.

OPTIONS
For a description of the GLOBAL OPTIONS, see leafnode(8).

-C '<message.id>' [...]
    Cancel mode: This will attempt to remove the articles with given Message-ID numbers from the spool. Note that the Message-ID must be given with angle brackets; remember to use single quotes to protect the Message-IDs from the shell. Note that this will not queue cancel messages to the upstream, but have solely local effect.

-a  Expire individual articles rather than threads.

-f  Expire will look at the arrival time of the articles rather than at the access time. Expiry will still be thread-based unless -a is given.

-n  Dry run mode. In this mode, texpire will not delete anything, it will just write what it would do without -n.

-r  Repair and migrate mode. In this mode, texpire tries to save as much of the news spool as it can. This mode MUST be used when upgrading to a leafnode version which has a different hash function for messageid than the version previously installed. If in doubt, use -r after an update.

If further arguments are found on the command line, but -C (cancel mode, see above) is not given, the arguments are treated as group names and only the given groups are expired. By default, all groups are expired.

FILES
/etc/leafnode/config.example documents the debug modes. See leafnode(8) for the list of other files affected.

BUGS

Texpire ignores "Expires" headers.

Texpire is unable to delete articles in groups where article numbers are far apart, because the required memory depends on the difference between lowest and highest article number in that group.

AUTHOR
Written by Arnt Gulbrandsen <agulbra@troll.no> and copyright 1995 Troll Tech AS, Postboks 6133 Etterstad, 0602 Oslo, Norway, fax +47 22646949.

Written and Copyright 1997 - 1999 by Cornelius Krasel <krasel@wpxx02.toxi.uni-wuerzburg.de>.

Written and Copyright 2001 by Stefan Wiens <s.wi@gmx.de>.

Written and Copyright 2002 by Ralf Wildenhues <ralf.wildenhues@gmx.de>.

Written and Copyright 2003 by Jörg Dietrich <joerg@dietrich.net>.

Written and Copyright 1999 - 2006 by Matthias Andree <matthias.andree@gmx.de>.

SEE ALSO
tcpd(8), hosts.allow(5), leafnode(8), fetchnews(8), RFC 977